bug-binutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Version intricacies for installing binutils


From: Ineiev
Subject: Re: Version intricacies for installing binutils
Date: Fri, 11 Jul 2008 10:14:38 +0400

Hello, people

On 7/11/08, wim <address@hidden> wrote:
>I get back to the binutils problems
>You suggested me to use the original gcc and as
>(SUSE 8.0 distribution)
>About these  versions I have
>gcc --version
>2.95.3
>as --version
>GNU assembler 2.11.92.0.10 (SuSE)
>Copyright 2001 Free Software Foundation, Inc.
>This program is free software; you may redistribute it under the terms of
>the GNU General Public License.  This program has absolutely no warranty.
>This assembler was configured for a target of `i486-suse-linux'.
>So I started from the very beginning
>Unfortunately make stops again too early
>I attach all config.* files from bfd
>I hope you could give me a further advice.

I saw a similar problem on RedHat 7.3 (it comes with gcc-2.96).
I think it is somewhere in makeinfo detection.
I solved this via either
1) using binutils-2.17 instead of binutils-2.18
2) editing the Makefiles so that not to build documentation in bfd
3) dirtily patching binutils-2.18/missing (I realize this is almost
certainly not the right file, but it just worked for me):
--- binutils-2.18/missing       2005-07-14 05:24:56.000000000 +0400
+++ missing     2008-05-24 10:53:30.000000000 +0400
@@ -27,5 +27,5 @@
 # configuration script generated by Autoconf, you may include it under
 # the same distribution terms that you use for the rest of that program.
-
+# May 2008, ineiev: changed to build binutils-2.18
 if test $# -eq 0; then
   echo 1>&2 "Try \`$0 --help' for more information"
@@ -46,19 +46,4 @@

 case "$1" in
---run)
-  # Try to run requested program, and just exit if it succeeds.
-  run=
-  shift
-  "$@" && exit 0
-  # Exit code 63 means version mismatch.  This often happens
-  # when the user try to use an ancient version of a tool on
-  # a file that requires a minimum version.  In this case we
-  # we should proceed has if the program had been absent, or
-  # if --run hadn't been passed.
-  if test $? = 63; then
-    run=:
-    msg="probably too old"
-  fi
-  ;;

   -h|--h|--he|--hel|--help)
@@ -101,7 +86,23 @@
     exit 1
     ;;
+*)
+  # Try to run requested program, and just exit if it succeeds.
+  run=
+  if test $1 = "--run"; then
+    shift
+  fi
+  "$@" && exit 0
+  # Exit code 63 means version mismatch.  This often happens
+  # when the user try to use an ancient version of a tool on
+  # a file that requires a minimum version.  In this case we
+  # we should proceed has if the program had been absent, or
+  # if --run hadn't been passed.
+  if test $? = 63; then
+    run=:
+    msg="probably too old"
+  fi
+  ;;

 esac
-
 # Now exit if we have it, but it failed.  Also exit now if we
 # don't have it and --version was passed (most likely to detect
(the previous line is the last line of the patch)

I believe this problem has been fixed in CVS already.
Hope this helps,
        Ineiev




reply via email to

[Prev in Thread] Current Thread [Next in Thread]